

*****************************************************************************
*Table 2
*For each pair of states, run the following
*****************************************************************************
tsset year
var d.s2 d.dyadic_trade, lags(1/2)
vargranger

*****************************************************************************
*Table 3.1 
*****************************************************************************
use "China.dta", clear

global id section
global t year
sort $id $t
xtset $id $t

* model 1 (sal of trade, FE) 
xtreg s2 lsal lpolity lalliance lpower_ratio, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial s2 lsal lpolity lalliance lpower_ratio
*estimate model (heteroskedasticity only) 
xtreg s2 lsal lpolity lalliance lpower_ratio, fe robust

* model 2 (sym of trade, FE) 
xtreg s2 lsym lpolity lalliance lpower_ratio, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial s2 lsym lpolity lalliance lpower_ratio
*estimate model (heteroskedasticity only)
xtreg s2 lsym lpolity lalliance lpower_ratio, fe robust

* model 3 (interdependence, FE) 
xtreg s2 litd lpolity lalliance lpower_ratio, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial s2 litd lpolity lalliance lpower_ratio

*estimate model (heteroskedasticity only)
xtreg s2 litd lpolity lalliance lpower_ratio, fe robust

* model 4 (btrade, FE) 
xtreg s2 lbtrade_log lpolity lalliance lpower_ratio, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial s2 lbtrade_log lpolity lalliance lpower_ratio

*estimate model (heteroskedasticity only)
xtreg s2 lbtrade_log lpolity lalliance lpower_ratio, fe robust

*****************************************************************************
*Table 3.2,  
******************************************************************************
use "Korea.dta", clear
global id section
global t year
sort $id $t
xtset $id $t

* model 1 (sal of trade, FE) 
xtreg s2 lsal lpolity lpower_ratio, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial s2 lsal lpolity lpower_ratio
*estimate model (heteroskedasticity only) 
xtreg s2 lsal lpolity lpower_ratio, fe robust

* model 2 (sym of trade, FE) 
xtreg s2 lsym lpolity lpower_ratio, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial s2 lsym lpolity lpower_ratio
*estimate model (heteroskedasticity, autocorrelation, and cross-sectional correlation)
xtscc s2 lsym lpolity lpower_ratio, fe 

* model 3 (interdependence, FE) 
xtreg s2 litd lpolity lpower_ratio, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial s2 litd lpolity lpower_ratio

*estimate model (heteroskedasticity only)
xtreg s2 litd lpolity lpower_ratio, fe robust

* model 4 (btrade, FE) 
xtreg s2 lbtrade_log lpolity lpower_ratio, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial s2 lbtrade_log lpolity lpower_ratio

*estimate model (heteroskedasticity only)
xtreg s2 lbtrade_log lpolity lpower_ratio, fe robust

*****************************************************************************
*Table 4.1
*****************************************************************************
use "China.dta", clear
global id section
global t year
sort $id $t
xtset $id $t

* model 5 (sal of trade, FE) 
xtreg sal ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial sal ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance
*estimate model (heteroskedasticity and autocorrelation) 
xtreg sal ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance, fe cluster() 

* model 6 (sym of trade, FE) 
xtreg sym ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial sym ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance
*estimate model (heteroskedasticity and autocorrelation)
xtreg sym ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance, fe cluster()

* model 7 (interdependence, FE) 
xtreg itd ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial itd ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance

*estimate model (heteroskedasticity, autocorrelation, and cross-sectional correlation)
xtscc itd ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance, fe

* model 8 (btrade, FE) 
xtreg btrade_log ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial btrade_log ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance

*estimate model (heteroskedasticity, autocorrelation, and cross-sectional correlation)
xtscc btrade_log ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity lalliance, fe


*****************************************************************************
*Table 4.2
*****************************************************************************
use "Korea.dta", clear
global id section
global t year
sort $id $t
xtset $id $t

* model 5 (sal of trade, FE) 
xtreg sal ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial sal ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity
*estimate model (heteroskedasticity and autocorrelation and cross-sectional correlation) 
xtscc sal ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity, fe

* model 6 (sym of trade, FE) 
xtreg sym ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial sym ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity
*estimate model (heteroskedasticity and autocorrelation)
xtreg sym ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity, fe cluster()

* model 7 (interdependence, FE) 
xtreg itd ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial itd ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity

*estimate model (heteroskedasticity, autocorrelation, and cross-sectional correlation)
xtscc itd ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity, fe

* model 8 (btrade, FE) 
xtreg btrade_log ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity, fe
* test for heteroskedasticity
xttest3
* test for cross-sectional dependence
xtcsd, pesaran abs
* test for serial correlation
xtserial btrade_log ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity

*estimate model (heteroskedasticity, autocorrelation, and cross-sectional correlation)
xtscc btrade_log ls2 lGDPtotal_log lPopT_log lpower_ratio lpolity, fe
